Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class ColumnStatistics2

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.ColumnStatistics2

All Implemented Interfaces:
  ColumnStatistics2, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class ColumnStatistics2

extends M4Data
implements XmlInfo, ColumnStatistics2

Version:
  $Id: ColumnStatistics2.java,v 1.4 2006/09/27 14:59:59 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_COLST2_COLID`
`static java.lang.String` | `ATTRIB_COLST2_COUNT`
`static java.lang.String` | `ATTRIB_COLST2_MAX`
`static java.lang.String` | `ATTRIB_COLST2_MIN`
`static java.lang.String` | `ATTRIB_COLST2_VALUE`
`static java.lang.String` | `ATTRIB_COLSTAT_ID`
`static java.lang.String` | `M4_TABLE_NAME`
`static M4Info` | `m4Info` Cache for getM4Info()

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`ColumnStatistics2(DB db)`

Method Summary
`int` | `getDistributionCount()`
`java.lang.Double` | `getDistributionMax()`
`double` | `getDistributionMaximum()`
`java.lang.Double` | `getDistributionMin()`
`double` | `getDistributionMinimum()`
`java.lang.String` | `getDistributionValue()`
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Column` | `getTheColumn()`
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetColumn(Column column)`
`void` | `print()` Print this M4 object's parameters.
`void` | `removeAllM4References()` Remove the Column reference of this statistic object.
`void` | `setDistributionCount(int distributionCount)`
`void` | `setDistributionMax(java.lang.Double distributionMaximum)`
`void` | `setDistributionMaximum(double distributionMaximum)`
`void` | `setDistributionMin(java.lang.Double distributionMinimum)`
`void` | `setDistributionMinimum(double distributionMinimum)`
`void` | `setDistributionValue(java.lang.String distributionValue)`
`void` | `setTheColumn(Column column)`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

See Also:
  Constant Field Values

### ATTRIB_COLSTAT_ID

    public static final java.lang.String ATTRIB_COLSTAT_ID

See Also:
  Constant Field Values

### ATTRIB_COLST2_COLID

    public static final java.lang.String ATTRIB_COLST2_COLID

See Also:
  Constant Field Values

### ATTRIB_COLST2_VALUE

    public static final java.lang.String ATTRIB_COLST2_VALUE

See Also:
  Constant Field Values

### ATTRIB_COLST2_COUNT

    public static final java.lang.String ATTRIB_COLST2_COUNT

See Also:
  Constant Field Values

### ATTRIB_COLST2_MIN

    public static final java.lang.String ATTRIB_COLST2_MIN

See Also:
  Constant Field Values

### ATTRIB_COLST2_MAX

    public static final java.lang.String ATTRIB_COLST2_MAX

See Also:
  Constant Field Values

### m4Info

    public static M4Info m4Info

  Cache for getM4Info()

Constructor Detail

### ColumnStatistics2

    public ColumnStatistics2(DB db)

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `XmlInfo.getXmlInfo()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getDistributionValue

    public java.lang.String getDistributionValue()

  Specified by:
    `getDistributionValue` in interface `ColumnStatistics2`

### setDistributionValue

    public void setDistributionValue(java.lang.String distributionValue)

  Specified by:
    `setDistributionValue` in interface `ColumnStatistics2`

### getDistributionCount

    public int getDistributionCount()

  Specified by:
    `getDistributionCount` in interface `ColumnStatistics2`

### setDistributionCount

    public void setDistributionCount(int distributionCount)

  Specified by:
    `setDistributionCount` in interface `ColumnStatistics2`

### getDistributionMin

    public java.lang.Double getDistributionMin()

### getDistributionMinimum

    public double getDistributionMinimum()

  Specified by:
    `getDistributionMinimum` in interface `ColumnStatistics2`

### setDistributionMin

    public void setDistributionMin(java.lang.Double distributionMinimum)

### setDistributionMinimum

    public void setDistributionMinimum(double distributionMinimum)

  Specified by:
    `setDistributionMinimum` in interface `ColumnStatistics2`

### getDistributionMax

    public java.lang.Double getDistributionMax()

### getDistributionMaximum

    public double getDistributionMaximum()

  Specified by:
    `getDistributionMaximum` in interface `ColumnStatistics2`

### setDistributionMax

    public void setDistributionMax(java.lang.Double distributionMaximum)

### setDistributionMaximum

    public void setDistributionMaximum(double distributionMaximum)

  Specified by:
    `setDistributionMaximum` in interface `ColumnStatistics2`

### getTheColumn

    public Column getTheColumn()

  Specified by:
    `getTheColumn` in interface `ColumnStatistics2`

### setTheColumn

    public void setTheColumn(Column column)
                      throws M4Exception

  Specified by:
    `setTheColumn` in interface `ColumnStatistics2`
  Throws:
    `M4Exception`

### primitiveSetColumn

    public void primitiveSetColumn(Column column)

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`

### removeAllM4References

    public void removeAllM4References()
                               throws M4Exception

  Remove the Column reference of this statistic object.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005